// statfile.h: interface for the statfile class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_STATFILE_H__927DB125_9053_11D2_BDC4_204C4F4F5020__INCLUDED_)
#define AFX_STATFILE_H__927DB125_9053_11D2_BDC4_204C4F4F5020__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

// Include variable table header file
#include "vartable.h"

// Definition for HTML variable name to save status file name
#define STATFILE "CICSSTATUSFILE"

class Cstatfile : public CObject  
{
public:
	Cstatfile();
	virtual ~Cstatfile();

	static int	updateStatusfile(Cvartable& vars,
								 const int tctualen,
								 const char* tctua,
								 const int calen, 
								 const char* ca);

	static int	getStatusfileData(Cvartable& vars, 
								  int* replay,
								  int* tctualen,
								  char* tctua,
								  int* calen, 
								  char* ca);
};

#endif // !defined(AFX_STATFILE_H__927DB125_9053_11D2_BDC4_204C4F4F5020__INCLUDED_)
