/**************************************************************/
/*                                                            */
/*                                                            */
/*  Written by Jim MacNair - October, 1997                    */
/*                                                            */
/*                                                            */
/**************************************************************/

/**************************************************************/
/* Definitions of various CICS fields                         */
/**************************************************************/

#define MAX_PW_LEN 8
#define MAX_SYS_NAME_LEN 8
#define ABCODE_LEN 4

/**************************************************************/
/* Defines for ECI ERROR Variables                            */
/**************************************************************/

#define ECI_ERR_MSG		"ECIERRMSG"
#define ECI_ERR_CODE	"ECIERRCODE"
#define ECI_ERR_ABCODE	"ECIERRABCODE"
#define ECI_ERR_SYSERR	"ECIERRSYSERR"
#define ECI_ERR_HR		"ECIERRHR"
#define ECI_ERR_NL		"ECIERRNL"
#define ECI_HR			"<hr>"
#define ECI_NEWLINE		"<p>"

/**************************************************************/
/* Function prototype definitions                             */
/**************************************************************/

char* Print_ECI_Error(int rc);

int performECI(char *pgmName, char *userid, char *pw, char *sysid, 
			   char *pCommArea, int commLen, VARSTRUCT *pVars, char *abendcode);

/****************/
/* End of File  */
/****************/