// Comsubs.h: interface for the CComsubs class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_COMSUBS_H__927DB126_9053_11D2_BDC4_204C4F4F5020__INCLUDED_)
#define AFX_COMSUBS_H__927DB126_9053_11D2_BDC4_204C4F4F5020__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

// 3270 field types 
#define ALPHA_FIELD   0
#define NUMERIC_FIELD 1
#define CICS_FIELD    2

class CComsubs : public CObject  
{
public:
	CComsubs();
	virtual ~CComsubs();

	static void to_comm(CString& VarData, char   *CommField, int    maxLen, int    isNumber);
	static void toBMSfield(CString& Vardata, char *BMSfield, short *BMSlen, short *MAPlen, int maxLen, int isNumber);
	static void toBMSifdiff(CString& Vardata, CString& olddata, char *BMSfield, short *BMSlen, short *MAPlen, int maxLen, int isNumber);
	static void int_to_comm(const long i, char *result, const int len);
	static void from_comm(CString& VarData, const char *commarea, long Varlen);
	static long comm_to_int(const char* field, const int len);
	static void writeTraceLine(const char* traceData);
	static void dumpArea(const char* traceData, const int len);
};

#endif // !defined(AFX_COMSUBS_H__927DB126_9053_11D2_BDC4_204C4F4F5020__INCLUDED_)
