// vartable.h: interface for the Cvartable class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_VARTABLE_H__5B166320_F4DF_11D1_BC42_204C4F4F5020__INCLUDED_)
#define AFX_VARTABLE_H__5B166320_F4DF_11D1_BC42_204C4F4F5020__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

////////////////////////////////////////////////////////////////
// Variable table structure definition                        
////////////////////////////////////////////////////////////////

#define MAX_NAME_LEN   31
#define MAX_DATA_LEN   95
#define MAX_VAR_COUNT  1024

////////////////////////////////////////////////////////////////
// Maximum characters on a line in the prototype file         
////////////////////////////////////////////////////////////////

#define MAX_LINE_LEN   1024

typedef struct {
   char VarName[MAX_NAME_LEN + 1];
   char VarData[MAX_DATA_LEN + 1];
} VARSTRUCT;

class Cvartable : public CObject  
{
public:
	int write_html_page(CHttpServerContext * pCtxt, char *filename);
	Cvartable();
	virtual ~Cvartable();
	const char * Cvartable::GetVarPtr(const char *varname);
	void Cvartable::AddVar(const char *varname, const char *vardata);
	void Cvartable::UpdateVar(const char *varname, const char *vardata);
	void GetVarVal(const char *varname, char *vardata);

private:
	void ExpandChar(char *VarData, char ch, char *NewValue);
	VARSTRUCT *pVars;

};

#endif // !defined(AFX_VARTABLE_H__5B166320_F4DF_11D1_BC42_204C4F4F5020__INCLUDED_)
